ImageLoader Class Reference

`#include <ImageLoader.h>`

List of all members.

## Public Member Functions

| ImageLoader (void)
| ImageLoader (const char *filename)
virtual | ~ImageLoader (void)
bool | LoadBMP (const char *filename)
BYTE * | GetAlpha (void) const
LONG | GetHeight (void) const
RGBQUAD * | GetColors (void) const
bool | GetLoaded (void) const
BYTE * | GetPixelData (void) const
LONG | GetWidth (void) const

## Detailed Description

Definition at line 45 of file ImageLoader.h.

## Constructor & Destructor Documentation

ImageLoader::ImageLoader | ( | void |  | ) |

Definition at line 9 of file ImageLoader.cpp.

ImageLoader::ImageLoader | ( | const char * | filename | ) |

Definition at line 14 of file ImageLoader.cpp.

ImageLoader::~ImageLoader | ( | void |  | ) | `[virtual]`

Definition at line 19 of file ImageLoader.cpp.

## Member Function Documentation

BYTE * ImageLoader::GetAlpha | ( | void |  | ) | const

Definition at line 164 of file ImageLoader.cpp.

RGBQUAD* ImageLoader::GetColors | ( | void |  | ) | const`[inline]`

Definition at line 56 of file ImageLoader.h.

LONG ImageLoader::GetHeight | ( | void |  | ) | const`[inline]`

Definition at line 55 of file ImageLoader.h.

bool ImageLoader::GetLoaded | ( | void |  | ) | const`[inline]`

Definition at line 57 of file ImageLoader.h.

BYTE* ImageLoader::GetPixelData | ( | void |  | ) | const`[inline]`

Definition at line 58 of file ImageLoader.h.

LONG ImageLoader::GetWidth | ( | void |  | ) | const`[inline]`

Definition at line 59 of file ImageLoader.h.

bool ImageLoader::LoadBMP | ( | const char * | filename | ) |

Definition at line 29 of file ImageLoader.cpp.

The documentation for this class was generated from the following files:

- src/libUnuk/ImageLoader.h
- src/libUnuk/ImageLoader.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines